## calypso.util
Class MemoryMonitor

    java.lang.Object
      |
      +--calypso.util.MemoryMonitor

public class MemoryMonitor
extends java.lang.Object

A utility class to help track memory usage during development. The interface is simple. Just create the monitor, do your business, and then invoke the done method.

The figure for the ammount of memory allocated should be accurate but the number for the ammount of garbage can be off by quite a bit if any garbage collection was done between the monitor's creation and the call to done.

Currently, it just prints some stuff to the console. I'd like to extend it so it creates a window and displays it's info in that.

Constructor Summary
`MemoryMonitor()`
`MemoryMonitor(java.lang.String monitorDescription)`

Method Summary
`void` | `done()`
`protected void` | `freeUpMemory()`
`protected void` | `initialize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryMonitor

    public MemoryMonitor(java.lang.String monitorDescription)

### MemoryMonitor

    public MemoryMonitor()

Method Detail

### initialize

    protected void initialize()

### done

    public void done()

### freeUpMemory

    protected void freeUpMemory()